//! # Project constants

/// Length of generated tokens
pub const TOKENS_LEN: usize = 50;

/// Header used to authenticate API requests made using a token
pub const API_TOKEN_HEADER: &str = "X-Auth-Token";

/// Session-specific constants
pub mod sessions {
    /// OpenID auth session state key
    pub const OIDC_STATE_KEY: &str = "oidc-state";
    /// OpenID auth remote IP address
    pub const OIDC_REMOTE_IP: &str = "oidc-remote-ip";
    /// Authenticated ID
    pub const USER_ID: &str = "uid";
}
